org.apache.ignite.transactions

## Class TransactionMixedModeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionMixedModeException

All Implemented Interfaces:
  Serializable

    public class TransactionMixedModeException
    extends TransactionException

Exception thrown whenever transaction spans over MVCC and non-MVCC caches.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionMixedModeException(String msg)` Creates new exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionMixedModeException

    public TransactionMixedModeException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020